Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.statistics
Interface BoxAndWhiskerXYDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  DefaultBoxAndWhiskerXYDataset

    public interface BoxAndWhiskerXYDataset

extends XYDataset

An interface that defines data in the form of (x, max, min, average, median) tuples.

Example: JFreeChart uses this interface to obtain data for AIMS max-min-average-median plots.

Method Summary
`double` | `getFaroutCoefficient()` Returns the value used as the farout coefficient.
`java.lang.Number` | `getMaxOutlier(int series, int item)` Returns the maximum value which is not a farout, ie Q3 + (interquartile range * farout coefficient).
`java.lang.Number` | `getMaxRegularValue(int series, int item)` Returns the max-value for the specified series and item.
`java.lang.Number` | `getMeanValue(int series, int item)` Returns the mean for the specified series and item.
`java.lang.Number` | `getMedianValue(int series, int item)` Returns the median-value for the specified series and item.
`java.lang.Number` | `getMinOutlier(int series, int item)` Returns the minimum value which is not a farout.
`java.lang.Number` | `getMinRegularValue(int series, int item)` Returns the min-value for the specified series and item.
`double` | `getOutlierCoefficient()` Returns the value used as the outlier coefficient.
`java.util.List` | `getOutliers(int series, int item)` Returns an array of outliers for the specified series and item.
`java.lang.Number` | `getQ1Value(int series, int item)` Returns the Q1 median-value for the specified series and item.
`java.lang.Number` | `getQ3Value(int series, int item)` Returns the Q3 median-value for the specified series and item.

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getMeanValue

    java.lang.Number getMeanValue(int series,
                                  int item)

  Returns the mean for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The mean for the specified series and item.

### getMedianValue

    java.lang.Number getMedianValue(int series,
                                    int item)

  Returns the median-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The median-value for the specified series and item.

### getQ1Value

    java.lang.Number getQ1Value(int series,
                                int item)

  Returns the Q1 median-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The Q1 median-value for the specified series and item.

### getQ3Value

    java.lang.Number getQ3Value(int series,
                                int item)

  Returns the Q3 median-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The Q3 median-value for the specified series and item.

### getMinRegularValue

    java.lang.Number getMinRegularValue(int series,
                                        int item)

  Returns the min-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The min-value for the specified series and item.

### getMaxRegularValue

    java.lang.Number getMaxRegularValue(int series,
                                        int item)

  Returns the max-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The max-value for the specified series and item.

### getMinOutlier

    java.lang.Number getMinOutlier(int series,
                                   int item)

  Returns the minimum value which is not a farout.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    A `Number` representing the maximum non-farout value.

### getMaxOutlier

    java.lang.Number getMaxOutlier(int series,
                                   int item)

  Returns the maximum value which is not a farout, ie Q3 + (interquartile range * farout coefficient).

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    A `Number` representing the maximum non-farout value.

### getOutliers

    java.util.List getOutliers(int series,
                               int item)

  Returns an array of outliers for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The array of outliers for the specified series and item.

### getOutlierCoefficient

    double getOutlierCoefficient()

  Returns the value used as the outlier coefficient. The outlier coefficient gives an indication of the degree of certainty in an unskewed distribution. Increasing the coefficient increases the number of values included. Currently only used to ensure farout coefficient is greater than the outlier coefficient

  Returns:
    A `double` representing the value used to calculate outliers

### getFaroutCoefficient

    double getFaroutCoefficient()

  Returns the value used as the farout coefficient. The farout coefficient allows the calculation of which values will be off the graph.

  Returns:
    A `double` representing the value used to calculate farouts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD